$(document).ready(function() {
	
	// if in editing mode we refresh the session to not loose it 
	const urlParams = new URLSearchParams(window.location.search);
	const param_todo = urlParams.get('todo');
	if(param_todo == 'add' || param_todo == 'mod') setInterval(function(){$.post('../admin/session-keep-alive.php');},600000); //refreshes the session every 10 minutes;

	$(".quickbox").hover(function() {
		$(".quickbox").children("ul").slideDown();
		$('#qbbg h1 i').removeClass('icon-angle-down').addClass('icon-angle-up');
	}, function() {
		$(".quickbox").children("ul").slideUp();
		$('#qbbg h1 i').removeClass('icon-angle-up').addClass('icon-angle-down');
	});

	if ($(window).width() < 1200) { $("#l21_logo").hide(); };
	
	$( window ).resize(function() {
		if ($(window).width() < 1200) {
			$("#l21_logo").hide();
		} else {
			$("#l21_logo").show();
		}
	});

	$("a.out").attr("target", "_blank");
		
	$(".toggle_title a").click(function() {
		
		if($(this).parent().next().css('display')=='none') {
			$(this).addClass("open");
			$(this).parent().next().slideDown();
		} else {
			$(this).removeClass("open");
			$(this).parent().next().slideUp();
		}
		
		return false;
	});
	
	var cboxOptions = { inline:true, innerWidth: "60%", innerHeight: "80%", maxWidth: "80%", maxHeight: "80%"}
    jQuery("#menu_help_interface").colorbox(cboxOptions);
    jQuery(window).resize(function(){ $.colorbox.resize({ width: window.innerWidth > parseInt(cboxOptions.maxWidth) ? cboxOptions.maxWidth : cboxOptions.width, height: window.innerHeight > parseInt(cboxOptions.maxHeight) ? cboxOptions.maxHeight : cboxOptions.height }); });
  
	
	$('#menu_home').prepend('<i class="fa fa-desktop fa-fw" aria-hidden="true"><\/i><br />');
	$('#menu_com').prepend('<i class="fa fa-globe fa-fw" aria-hidden="true"><\/i><br />');
	$('#menu_gestion').prepend('<i class="fa fa-graduation-cap fa-fw" aria-hidden="true"><\/i><br />');
	$('#menu_config').prepend('<i class="fa fa-cogs fa-fw" aria-hidden="true"><\/i><br />');
	// $('#menu_public_interface').prepend('<i class="icon-home"><\/i><br />');
	$('#menu_help_interface').prepend('<i class="fa fa-life-ring fa-fw" aria-hidden="true"><\/i><br />');
	
	$('#aide p.info').prepend('<i class="fa fa-life-ring fa-fw" aria-hidden="true"><\/i> ');
	
	$('#menu_news, #chemin_news').prepend('<i class="fa fa-calendar fa-fw" aria-hidden="true"><\/i>');
	$('#menu_publication, #chemin_publication, #menu_contents, #chemin_contents').prepend('<i class="fa fa-book fa-fw" aria-hidden="true"><\/i>');
	$('#menu_newsletter, #chemin_newsletter').prepend('<i class="fa fa-paper-plane fa-fw" aria-hidden="true"><\/i>');
	$('#menu_comment, #chemin_comment').prepend('<i class="fa fa-comments-o fa-fw" aria-hidden="true"><\/i>');
	$('#menu_library, #chemin_library').prepend('<i class="fa fa-folder-open fa-fw" aria-hidden="true"><\/i>');
	$('#menu_page, #chemin_page').prepend('<i class="fa fa-file-o fa-fw" aria-hidden="true"><\/i>');
	$('#menu_workshop, #chemin_workshop, #chemin_workshoprep, #workshop-subtitle').prepend('<i class="fa fa-users fa-fw" aria-hidden="true"><\/i>');
	$('#menu_project, #chemin_project').prepend('<i class="fa fa-briefcase fa-fw" aria-hidden="true"><\/i>');
	$('#menu_sdi, #chemin_sdi, #indicator-subtitle').prepend('<i class="fa fa-paperclip fa-fw" aria-hidden="true"><\/i>');
	$('#menu_dashboard, #chemin_dashboard').prepend('<i class="fa fa-bar-chart fa-fw" aria-hidden="true"><\/i>');
	$('#menu_yellowpages, #chemin_yellowpages').prepend('<i class="fa fa-list fa-fw" aria-hidden="true"><\/i>');
	$('#menu_user, #chemin_user').prepend('<i class="fa fa-user fa-fw" aria-hidden="true"><\/i>');
	$('#menu_level, #chemin_level').prepend('<i class="fa fa-inbox fa-fw" aria-hidden="true"><\/i>');
	$('#menu_scale, #chemin_scale').prepend('<i class="fa fa-bookmark fa-fw" aria-hidden="true"><\/i>');
	$('#menu_tag, #chemin_tag').prepend('<i class="fa fa-tag fa-fw" aria-hidden="true"><\/i>');
	$('#menu_system, #chemin_system').prepend('<i class="fa fa-wrench fa-fw" aria-hidden="true"><\/i>');
	$('#menu_plugins, #chemin_plugins').prepend('<i class="fa fa-puzzle-piece fa-fw" aria-hidden="true"><\/i>');
	
	$('#qbbg h1').prepend('<i class="icon-angle-down"><\/i> ');
	
	$('#containersearch').hide();
	
	$('#searchDiv').mouseover(function() {
		if($( "#containersearch" ).is( ":visible" )) {
			$('#containersearch').fadeOut();
		} else {		
			$('#containersearch').fadeIn();
		}
	});
	
	/**
	* Clone buttons on top of page 
	* to make it easier to validate inputs 
	**/
	clone_validation_buttons = function(formSelector, ButtonSelector, position) {
		
		// clone buttons on Validation pages 'dl.summary'
		if($(formSelector).length) {		// if element exists
			var formId = $(formSelector).attr('id');
			
			if(position == 'before') $('<form id="' + formId + '-clone"></form>').insertBefore(ButtonSelector);
			else $('<form id="' + formId + '-clone"></form>').insertAfter(ButtonSelector);
			
			$(formSelector).find('input').each(function() {
				$el = $(this).clone(false, false).prop({ id: $(this).attr('id') + '-clone'});
				$el.appendTo('#' + formId + '-clone');
		    });
			
			$('#' + formId + '-clone').submit(function(evt) {
			    evt.preventDefault();
			    
			    // when submit form with jQuery the submit button is not passed
			    // so we recreate it on the fly
			    $('<input>').attr({ type: 'hidden', id: $('#' + formId + ' :submit').attr('id'), name: $('#' + formId + ' :submit').attr('name') }).appendTo('#' + formId);
			    $('#' + formId).submit();
			    return false;
			});
		}
		return true;
	}
	
	clone_validation_buttons('dl.summary + form', '#content > dl.summary:eq(0)', 'before');	
	
});

function number_f(nb) {
	nb = nb.toString().replace('.', ',');
	nb = nb.replace(/\B(?=(\d{3})+(?!\d))/g, " ");
	return nb;
}

function getRandomInt(min, max) {
    return Math.floor(Math.random() * (max - min + 1)) + min;
}
